Ipelib

Public Member Functions | List of all members
ipe::Base64Stream Class Reference
Ipe Utilities

`#include <ipeutils.h>`

Inherits ipe::Stream.

## Public Member Functions
| Base64Stream (Stream &stream)
virtual void | putChar (char ch)
virtual void | close ()
Public Member Functions inherited from ipe::Stream
virtual | ~Stream ()
virtual void | putString (String s)
virtual void | putCString (const char *s)
virtual void | putRaw (const char *data, int size)
Stream & | operator<< (char ch)
Stream & | operator<< (const String &s)
Stream & | operator<< (const char *s)
Stream & | operator<< (int i)
Stream & | operator<< (double d)
void | putHexByte (char b)
void | putXmlString (String s)

## Detailed Description

Filter stream adding Base64 encoding.

## Constructor & Destructor Documentation

## ◆ Base64Stream()

Base64Stream::Base64Stream | ( | Stream & | stream | ) |

## Member Function Documentation

## ◆ putChar()

void Base64Stream::putChar | ( | char | ch | ) |
| virtual

Output character.

Implements ipe::Stream.

References ipe::Stream::putChar(), and ipe::Stream::putCString().

Referenced by ipe::Bitmap::saveAsXml().

## ◆ close()

void Base64Stream::close | ( |  | ) |
| virtual

Close the stream. No more writing allowed!

Reimplemented from ipe::Stream.

References ipe::Stream::close(), and ipe::Stream::putCString().

Referenced by ipe::Bitmap::saveAsXml().

The documentation for this class was generated from the following files:

- ipeutils.h
- ipeutils.cpp